Bug 1475791 - Review Request: golang-github-VividCortex-ewma - Exponentially Weighted Moving Average algorithms for Go
Review Request: golang-github-VividCortex-ewma - Exponentially Weighted Movin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabio Valentini
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1473314
  Show dependency treegraph
 
Reported: 2017-07-27 07:29 EDT by Robert-André Mauchin
Modified: 2017-08-31 10:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 18:22:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
decathorpe: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Robert-André Mauchin 2017-07-27 07:29:03 EDT
Spec URL: https://github.com/eclipseo/packaging/blob/7da6b92/golang-github-VividCortex-ewma.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/8319/20798319/golang-github-VividCortex-ewma-0-0.1.git4cc8cc5.fc27.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20798318

Description: Exponentially Weighted Moving Average algorithms for Go.

I had to disable tests for arch ppc64le and s390x. I filed a bug upstream regarding this: https://github.com/VividCortex/ewma/issues/14

This package is needed by rclone, bug #1473314.

Fedora Account System Username: eclipseo

I am looking for a sponsorship o/
Comment 4 Fabio Valentini 2017-08-18 03:24:58 EDT
Taking this.
Comment 5 Fabio Valentini 2017-08-18 03:42:34 EDT
I've found some minor issues:

1) Please don't remove the commit and shortcommit variables generated by gofed. They are used to do automatic version tracking of golang packages in fedora, even if they aren't part of the version string.

You can include something like this (look at some of my golang packages, e.g. golang-github-calmh-du) to clarify that the version is exactly this commit:

%global commit          b24eb346a94c3ba12c1da1e564dbac1b498a77ce
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

# commit b24eb346a94c3ba12c1da1e564dbac1b498a77ce == version 1.1.1


2) Please don't use the "ugly" Source0 URL. There's a really nice way to get tarballs of tags (without doing the #/XXX.tar.gz hack):

Source0: https://%{provider_prefix}/archive/v%{version}/%{repo}-%{version}.tar.gz

This generates a tarball of the commit tagged with "v%{version}" with the name "%{project}-%{version}.tar.gz" - which is exactly what you want, without hacks.

See (under GitHub): https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Tags

PS: For some golang projects, you might consider naming the tarball "%{project}-%{repo}.tar.gz" in the Source URL, especially if the name %{repo} is ambiguous, or if there's already a package with that name. That way you won't run into possible collisions in the source lookaside cache. It's not an issue with this package, but keep it in mind.


Otherwise:

Package Review
==============

[x]: Package complies to the Packaging Guidelines


Please fix the 2 issues I pointed out, then the package is ready for approval.
Comment 7 Fabio Valentini 2017-08-18 05:23:57 EDT
Package complies with Guidelines, and you've fixed the 2 issues I pointed out. Approved.
Comment 8 Gwyn Ciesla 2017-08-18 07:13:20 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-VividCortex-ewma
Comment 9 Fedora Update System 2017-08-19 16:00:08 EDT
golang-github-VividCortex-ewma-1.1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0a91dca49f
Comment 10 Fedora Update System 2017-08-20 21:22:29 EDT
golang-github-VividCortex-ewma-1.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f62d7b0d87
Comment 11 Fedora Update System 2017-08-22 14:07:48 EDT
golang-github-VividCortex-ewma-1.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0a91dca49f
Comment 12 Fedora Update System 2017-08-28 18:22:18 EDT
golang-github-VividCortex-ewma-1.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-08-31 10:55:49 EDT
golang-github-VividCortex-ewma-1.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.